import request from '@/utils/axios'

// 登入接口
export function getTreeDemoData(parent) {
    return request({
        url: '/tree/',
        method: 'get',
        params: parent
    })
}

// 删除接口
export function deleteTreeDemoData(id) {
    return request({
        url: '/tree/',
        method: 'delete',
        params: id
    })
}

/**
 * 更新接口
 * 参数要有id和name
 */
export function putTreeDemoData(data) {
    return request({
        url: '/tree/',
        method: 'put',
        data
    })
}

/**
 * 新增接口
 * 参数要有一个id和name
 */
export function postTreeDemoData(data) {
    return request({
        url: '/tree/',
        method: 'post',
        data
    })
}